## org.eclipse.datatools.sqltools.core
Class EditorCorePlugin

    java.lang.Object
      AbstractUIPlugin
          org.eclipse.datatools.sqltools.core.EditorCorePlugin

public class EditorCorePlugin
extends AbstractUIPlugin

The main plugin class to be used in the desktop.

Author:
  Hui Cao
See Also:
  Serialized Form

Field Summary
`static java.lang.String` `PLUGIN_ID`

Constructor Summary
`EditorCorePlugin()` The constructor.

Method Summary
`static void` `addConfigurationRegistryListener(IConfigurationRegistryListener listener)`
`IStatus` `createErrorStatus(java.lang.String message)`
`IStatus` `createErrorStatus(java.lang.String message, java.lang.Throwable e)`
`IStatus` `createErrorStatus(java.lang.Throwable e)`
`static IControlConnectionManager` `getControlConnectionManager()`
`static SQLDevToolsConfigRegistry` `getDatabaseFactoryRegistry()`
`static EditorCorePlugin` `getDefault()` Returns the shared instance.
`static ImageDescriptor` `getImageDescriptor(java.lang.String path)` Returns an image descriptor for the image file at the given plug-in relative path.
`void` `log(IStatus status)` Logs runtime status.
`void` `log(java.lang.String message, java.lang.Throwable e)` Logs an error message with an exception.
`void` `start(BundleContext context)` This method is called upon plug-in activation
`void` `stop(BundleContext context)` This method is called when the plug-in is stopped

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

Constructor Detail

### EditorCorePlugin

    public EditorCorePlugin()

  The constructor.

Method Detail

### start

    public void start(BundleContext context)
               throws java.lang.Exception

  This method is called upon plug-in activation

  Throws:
    `java.lang.Exception`

### stop

    public void stop(BundleContext context)
              throws java.lang.Exception

  This method is called when the plug-in is stopped

  Throws:
    `java.lang.Exception`

### getDefault

    public static EditorCorePlugin getDefault()

  Returns the shared instance.

### getImageDescriptor

    public static ImageDescriptor getImageDescriptor(java.lang.String path)

  Returns an image descriptor for the image file at the given plug-in relative path.

  Parameters:
    `path` - the path
  Returns:
    the image descriptor

### getControlConnectionManager

    public static IControlConnectionManager getControlConnectionManager()

### log

    public void log(IStatus status)

  Logs runtime status.

  Parameters:
    `status` - Runtime status.

### createErrorStatus

    public IStatus createErrorStatus(java.lang.String message)

### createErrorStatus

    public IStatus createErrorStatus(java.lang.Throwable e)

### createErrorStatus

    public IStatus createErrorStatus(java.lang.String message,
                                     java.lang.Throwable e)

### log

    public void log(java.lang.String message,
                    java.lang.Throwable e)

  Logs an error message with an exception.

  Parameters:
    `e` - Exception.

### getDatabaseFactoryRegistry

    public static SQLDevToolsConfigRegistry getDatabaseFactoryRegistry()

### addConfigurationRegistryListener

    public static void addConfigurationRegistryListener(IConfigurationRegistryListener listener)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.